> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Team Timers

> List the timers currently running across the team — one entry per active user.



## OpenAPI

````yaml /openapi.json get /team/timers
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /team/timers:
    get:
      tags:
        - Timers
      summary: Get All Team Timers
      description: >-
        List the timers currently running across the team — one entry per active
        user.
      operationId: getAllTeamTimers
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Timer'
        '401':
          description: Unauthorized
components:
  schemas:
    Timer:
      type: object
      properties:
        status:
          type: string
          enum:
            - active
            - stopped
          example: active
        duration:
          type: number
          description: Timer duration in seconds
          example: 16
        today:
          type: number
          description: Today time by user in the timer task
          example: 7200
        startedAt:
          type: string
          example: '2018-01-16 12:42:59'
        userDate:
          type: string
          example: '2018-01-16'
        comment:
          type: string
        task:
          $ref: '#/components/schemas/Task'
        user:
          $ref: '#/components/schemas/User'
        currentTaskTime:
          $ref: '#/components/schemas/TimeRecord'
        website:
          type: object
          nullable: true
          properties:
            url:
              type: string
            title:
              type: string
      required:
        - status
    Task:
      type: object
      properties:
        id:
          type: string
          example: ev:9876543210
        name:
          type: string
          example: Task Name
        projects:
          type: array
          description: List of projects ID
          items:
            type: string
          example:
            - ev:1234567890
        section:
          type:
            - number
            - 'null'
          description: Section ID
          example: 1234
        labels:
          type: array
          items:
            type: string
          example:
            - high
            - bug
        position:
          type: number
          example: 1
        description:
          type:
            - string
            - 'null'
        dueAt:
          type:
            - string
            - 'null'
          description: 'Format: Y-m-d H:i:s'
          example: '2018-03-05 16:00:00'
        status:
          type: string
          enum:
            - open
            - closed
          example: open
        time:
          $ref: '#/components/schemas/TaskTime'
        estimate:
          $ref: '#/components/schemas/TaskEstimate'
        attributes:
          type: object
          description: Custom attributes from integration
          additionalProperties:
            type: string
          example:
            Client: Everhour
            Priority: high
        metrics:
          type: object
          description: Custom metrics from integration
          additionalProperties:
            type: number
          example:
            efforts: 42
            expenses: 199
        unbillable:
          type: boolean
      required:
        - id
        - name
        - projects
    User:
      type: object
      properties:
        id:
          type: number
          example: 1304
        name:
          type: string
          example: User Name
        headline:
          type:
            - string
            - 'null'
          example: CEO
        avatarUrl:
          type:
            - string
            - 'null'
        role:
          type: string
          enum:
            - admin
            - supervisor
            - member
            - member_limited
          example: admin
        status:
          type: string
          enum:
            - active
            - invited
            - pending
            - removed
          example: active
        phone:
          type: string
          nullable: true
        capacity:
          type: integer
          nullable: true
          description: Weekly capacity in seconds.
        avatarUrlLarge:
          type: string
          nullable: true
      required:
        - id
        - name
        - role
        - status
    TimeRecord:
      type: object
      properties:
        id:
          type: number
          description: Time record ID
          example: 2660155
        time:
          type: number
          description: Time recorded in seconds
          example: 3600
        user:
          type: number
          description: User ID
          example: 1304
        date:
          type: string
          description: Date
          example: '2018-01-20'
        task:
          $ref: '#/components/schemas/Task'
        isLocked:
          type: boolean
          example: false
        isInvoiced:
          type: boolean
          example: false
        comment:
          type: string
          example: some notes
      required:
        - id
        - time
        - user
        - date
    TaskTime:
      type: object
      properties:
        total:
          type: number
          description: Total task time in seconds
          example: 7200
        users:
          type: object
          description: Task time per user ID
          additionalProperties:
            type: number
          example:
            '1304': 3600
            '1543': 3600
      required:
        - total
        - users
    TaskEstimate:
      type: object
      properties:
        total:
          type: number
          description: Total task estimate in seconds
          example: 7200
        type:
          type: string
          enum:
            - overall
            - users
          example: overall
        users:
          type: object
          description: Task estimate per user ID
          additionalProperties:
            type: number
          example:
            '1304': 3600
            '1543': 3600
      required:
        - total
        - type
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````